mirror of
https://github.com/void-linux/void-packages.git
synced 2025-04-23 01:27:02 +02:00
dracut: force shutdown
The shutdown binary is actually provided by runit and expects the runit init to be running. This is not the case in the initramfs. Forcing the shutdown, halt or reboot is necessary to ignore this requirement.
This commit is contained in:
parent
9311433c10
commit
9752201501
1 changed files with 19 additions and 0 deletions
19
srcpkgs/dracut/patches/force_poweroff.patch
Normal file
19
srcpkgs/dracut/patches/force_poweroff.patch
Normal file
|
@ -0,0 +1,19 @@
|
|||
diff --git modules.d/99base/dracut-lib.sh modules.d/99base/dracut-lib.sh
|
||||
index 99cb9dbc..3df77257 100755
|
||||
--- modules.d/99base/dracut-lib.sh
|
||||
+++ modules.d/99base/dracut-lib.sh
|
||||
@@ -1154,11 +1154,11 @@ emergency_shell()
|
||||
|
||||
case "$_emergency_action" in
|
||||
reboot)
|
||||
- reboot || exit 1;;
|
||||
+ reboot -f || exit 1;;
|
||||
poweroff)
|
||||
- poweroff || exit 1;;
|
||||
+ poweroff -f || exit 1;;
|
||||
halt)
|
||||
- halt || exit 1;;
|
||||
+ halt -f || exit 1;;
|
||||
esac
|
||||
}
|
||||
|
Loading…
Add table
Reference in a new issue